## osmose-emulator 0.9.96

=== Makefile ===
#############################################################################
# Makefile for building: Osmose-0-9-96-QT
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jun 6 09:34:32 2011
# Project:  Osmose-0-9-96-QT.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile Osmose-0-9-96-QT.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I. -Icpu -Iosmose -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lz -lasound -lQtOpenGL -lQtGui -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = EmulationThread.cpp \
		Joystick.cpp \
		KeyMapper.cpp \
		main.cpp \
		OsmoseConfigurationFile.cpp \
		OsmoseEmulationThread.cpp \
		OsmoseGUI.cpp \
		Pthreadcpp.cpp \
		QGLImage.cpp \
		QLogWindow.cpp \
		QOsmoseConfiguration.cpp \
		TGAWriter.cpp \
		WhiteNoiseEmulationThread.cpp \
		cpu/Opc_cbxx.cpp \
		cpu/Opc_dd.cpp \
		cpu/Opc_ddcb.cpp \
		cpu/Opc_ed.cpp \
		cpu/Opc_fd.cpp \
		cpu/Opc_fdcb.cpp \
		cpu/Opc_std.cpp \
		cpu/Z80.cpp \
		osmose/DebugEventThrower.cpp \
		osmose/FIFOSoundBuffer.cpp \
		osmose/IOMapper.cpp \
		osmose/IOMapper_GG.cpp \
		osmose/MemoryMapper.cpp \
		osmose/Options.cpp \
		osmose/OsmoseCore.cpp \
		osmose/RomSpecificOption.cpp \
		osmose/SmsEnvironment.cpp \
		osmose/SN76489.cpp \
		osmose/SoundThread.cpp \
		osmose/VDP.cpp \
		osmose/VDP_GG.cpp \
		osmose/WaveWriter.cpp \
		moc_EmulationThread.cpp \
		moc_OsmoseGUI.cpp \
		moc_QGLImage.cpp \
		moc_QLogWindow.cpp \
		moc_QOsmoseConfiguration.cpp
OBJECTS       = EmulationThread.o \
		Joystick.o \
		KeyMapper.o \
		main.o \
		OsmoseConfigurationFile.o \
		OsmoseEmulationThread.o \
		OsmoseGUI.o \
		Pthreadcpp.o \
		QGLImage.o \
		QLogWindow.o \
		QOsmoseConfiguration.o \
		TGAWriter.o \
		WhiteNoiseEmulationThread.o \
		Opc_cbxx.o \
		Opc_dd.o \
		Opc_ddcb.o \
		Opc_ed.o \
		Opc_fd.o \
		Opc_fdcb.o \
		Opc_std.o \
		Z80.o \
		DebugEventThrower.o \
		FIFOSoundBuffer.o \
		IOMapper.o \
		IOMapper_GG.o \
		MemoryMapper.o \
		Options.o \
		OsmoseCore.o \
		RomSpecificOption.o \
		SmsEnvironment.o \
		SN76489.o \
		SoundThread.o \
		VDP.o \
		VDP_GG.o \
		WaveWriter.o \
		moc_EmulationThread.o \
		moc_OsmoseGUI.o \
		moc_QGLImage.o \
		moc_QLogWindow.o \
		moc_QOsmoseConfiguration.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Osmose-0-9-96-QT.pro
QMAKE_TARGET  = Osmose-0-9-96-QT
DESTDIR       = 
TARGET        = Osmose-0-9-96-QT

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_Configuration.h ui_LogWindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Osmose-0-9-96-QT.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Osmose-0-9-96-QT.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Osmose-0-9-96-QT.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Osmose-0-9-96-QT1.0.0 || $(MKDIR) .tmp/Osmose-0-9-96-QT1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents EmulationThread.h Joystick.h KeyMapper.h OsmoseConfigurationFile.h OsmoseEmulationThread.h OsmoseGUI.h Pthreadcpp.h QGLImage.h QLogWindow.h QOsmoseConfiguration.h TGAWriter.h WhiteNoiseEmulationThread.h cpu/BasicTypes.h cpu/Z80.h osmose/AnsiColorTerminal.h osmose/Bits.h osmose/DebugEventListener.h osmose/DebugEventThrower.h osmose/Definitions.h osmose/FIFOSoundBuffer.h osmose/IOMapper.h osmose/IOMapper_GG.h osmose/MemoryMapper.h osmose/Options.h osmose/OsmoseCore.h osmose/RomSpecificOption.h osmose/SaveState.h osmose/SmsDebugger.h osmose/SmsEnvironment.h osmose/SN76489.h osmose/SoundThread.h osmose/VDP.h osmose/VDP_GG.h osmose/Version.h osmose/WaveWriter.h .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents EmulationThread.cpp Joystick.cpp KeyMapper.cpp main.cpp OsmoseConfigurationFile.cpp OsmoseEmulationThread.cpp OsmoseGUI.cpp Pthreadcpp.cpp QGLImage.cpp QLogWindow.cpp QOsmoseConfiguration.cpp TGAWriter.cpp WhiteNoiseEmulationThread.cpp cpu/Opc_cbxx.cpp cpu/Opc_dd.cpp cpu/Opc_ddcb.cpp cpu/Opc_ed.cpp cpu/Opc_fd.cpp cpu/Opc_fdcb.cpp cpu/Opc_std.cpp cpu/Z80.cpp osmose/DebugEventThrower.cpp osmose/FIFOSoundBuffer.cpp osmose/IOMapper.cpp osmose/IOMapper_GG.cpp osmose/MemoryMapper.cpp osmose/Options.cpp osmose/OsmoseCore.cpp osmose/RomSpecificOption.cpp osmose/SmsEnvironment.cpp osmose/SN76489.cpp osmose/SoundThread.cpp osmose/VDP.cpp osmose/VDP_GG.cpp osmose/WaveWriter.cpp .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents Configuration.ui LogWindow.ui .tmp/Osmose-0-9-96-QT1.0.0/ && (cd `dirname .tmp/Osmose-0-9-96-QT1.0.0` && $(TAR) Osmose-0-9-96-QT1.0.0.tar Osmose-0-9-96-QT1.0.0 && $(COMPRESS) Osmose-0-9-96-QT1.0.0.tar) && $(MOVE) `dirname .tmp/Osmose-0-9-96-QT1.0.0`/Osmose-0-9-96-QT1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Osmose-0-9-96-QT1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_EmulationThread.cpp moc_OsmoseGUI.cpp moc_QGLImage.cpp moc_QLogWindow.cpp moc_QOsmoseConfiguration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_EmulationThread.cpp moc_OsmoseGUI.cpp moc_QGLImage.cpp moc_QLogWindow.cpp moc_QOsmoseConfiguration.cpp
moc_EmulationThread.cpp: QGLImage.h \
		OsmoseConfigurationFile.h \
		EmulationThread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) EmulationThread.h -o moc_EmulationThread.cpp

moc_OsmoseGUI.cpp: QGLImage.h \
		OsmoseEmulationThread.h \
		EmulationThread.h \
		OsmoseConfigurationFile.h \
		cpu/Z80.h \
		cpu/BasicTypes.h \
		osmose/DebugEventThrower.h \
		osmose/DebugEventListener.h \
		osmose/Definitions.h \
		osmose/SaveState.h \
		osmose/OsmoseCore.h \
		osmose/SmsEnvironment.h \
		osmose/MemoryMapper.h \
		osmose/Options.h \
		osmose/Bits.h \
		QLogWindow.h \
		ui_LogWindow.h \
		osmose/IOMapper.h \
		osmose/VDP.h \
		osmose/AnsiColorTerminal.h \
		osmose/SN76489.h \
		osmose/FIFOSoundBuffer.h \
		osmose/IOMapper_GG.h \
		osmose/VDP_GG.h \
		osmose/WaveWriter.h \
		osmose/Version.h \
		TGAWriter.h \
		Pthreadcpp.h \
		osmose/SoundThread.h \
		WhiteNoiseEmulationThread.h \
		QOsmoseConfiguration.h \
		ui_Configuration.h \
		KeyMapper.h \
		Joystick.h \
		OsmoseGUI.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) OsmoseGUI.h -o moc_OsmoseGUI.cpp

moc_QGLImage.cpp: QGLImage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QGLImage.h -o moc_QGLImage.cpp

moc_QLogWindow.cpp: ui_LogWindow.h \
		QLogWindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QLogWindow.h -o moc_QLogWindow.cpp

moc_QOsmoseConfiguration.cpp: ui_Configuration.h \
		KeyMapper.h \
		Joystick.h \
		Pthreadcpp.h \
		OsmoseConfigurationFile.h \
		QOsmoseConfiguration.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QOsmoseConfiguration.h -o moc_QOsmoseConfiguration.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_Configuration.h ui_LogWindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_Configuration.h ui_LogWindow.h
ui_Configuration.h: Configuration.ui
	/usr/bin/uic-qt4 Configuration.ui -o ui_Configuration.h

ui_LogWindow.h: LogWindow.ui
	/usr/bin/uic-qt4 LogWindow.ui -o ui_LogWindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

EmulationThread.o: EmulationThread.cpp EmulationThread.h \
		QGLImage.h \
