## osmose-emulator 0.9.96-dfsg

=== debian/changelog ===
osmose-emulator (0.9.96-dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #814549)

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 16 Mar 2016 18:00:24 -0300
