=== debian/control ===
Source: osmose-emulator
Section: games
Priority: optional
Maintainer: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>=9),
		libasound2-dev,
		libqt4-dev,
		libqt4-dev-bin,
		libqt4-opengl-dev,
		qt4-qmake,
		zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://bcz.asterope.fr/osmose.htm

Package: osmose-emulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sega Master System and Game Gear console emulator
 A multi-machine emulator for platforms of Sega consoles
 (Master System and Game Gear) and compatible for all games.
 .
 Simulates hardware extremely accurately which ensures that these
 classic games are represented exactly like they were on the real systems.
 .
 Osmose has a clean graphical user interface based on QT and a simplified setup
 process, and supports ROM archives in the SMS and GG formats.
