=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d+$// \
http://bcz.asterope.fr/osmose.htm osmose/Osmose-(\d\S+)-QT\.(?:zip|tar\.(?:bz2|gz|xz))
