## osmose-emulator 1.0

=== debian/changelog ===
osmose-emulator (1.0-4) unstable; urgency=medium

  * Reversed debhelper compat for level 9

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 05 Apr 2017 08:17:36 -0300

osmose-emulator (1.0-3) unstable; urgency=medium

  * Switch to debhelper compat level 10
  * debian/osmose-emulator.desktop:
    - Added keywords and changed category to emulator
  * debian/watch:
    - Fixed to point to release hosted on Github

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 04 Apr 2017 18:20:16 -0300

osmose-emulator (1.0-2) unstable; urgency=medium

  * debian/control:
    - Change maintainer Debian Games Team.
    - Add myself as Uploader.
    - Move Vcs URLs to pkg-games.

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 25 Aug 2016 00:13:36 -0300

osmose-emulator (1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #834179)
  * New upstream GPG key
  * debian/control: bumped Standards-Version for 3.9.8
  * Update debian/copyright
  * Fix debian/watch file to point to latest release hosted on Github
  * Updated manpage
  * Created own icon in the main window
  * Replaced the version of QT to 5.x
  * Added in the main window menu - About
  * Revised common misspelled words in source code
  * Removed embedded copy of the source code 'unzip'

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 12 Aug 2016 13:03:00 -0300
