=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: osmose-emulator
 Section: games
 Priority: optional
-Maintainer: Carlos Donizete Froes <coringao@riseup.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Carlos Donizete Froes <coringao@riseup.net>
 Build-Depends: debhelper (>=9),
-		libasound2-dev,
-		libqt4-dev,
-		libqt4-dev-bin,
-		libqt4-opengl-dev,
-		qt4-qmake,
-		zlib1g-dev
-Standards-Version: 3.9.7
+               libasound2-dev,
+               libqt5opengl5-dev,
+               qt5-qmake,
+               qtbase5-dev,
+               qtchooser,
+               zlib1g-dev
+Standards-Version: 3.9.8
 Homepage: http://bcz.asterope.fr/osmose.htm
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git
 
 Package: osmose-emulator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Sega Master System and Game Gear console emulator
  A multi-machine emulator for platforms of Sega consoles
  (Master System and Game Gear) and compatible for all games.
