=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/coringao/osmose-emulator/tags .*/(\d\S*)\.tar\.gz
