## osmose-emulator 1.2

=== debian/changelog ===
osmose-emulator (1.2-1) unstable; urgency=medium

  * New upstream release
  * Fixed autopkgtest to test the installability
  * Fixed d/upstream/metadata
  * debian/control:
    + Added Build-Depends: freeglut3-dev
    + Changed architecture to 'any'

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 22 Oct 2017 19:45:04 -0200

osmose-emulator (1.1-1) unstable; urgency=medium

  * New upstream release
  * Switch to compat level 10
  * debian/control:
    + Build-Depends: libgl1-mesa-dev, mesa-common-dev
    + Architecture: 'any-amd64' and 'any-i386'
    + Changed homepage link
    + Bump debhelper compat to 10
    + Declare compliance with Debian Policy: 4.1.1
  * Updated debian/copyright
  * Updated d/upstream/metadata
  * Updated debian/osmose-emulator.6
  * Changed debian/install
  * debian/rules: Added line DEB_LDFLAGS_MAINT_APPEND
  * debian/tests: Add autopkgtest smoke tests to verify the commands will run
  * Updated debian/watch 

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 19 Oct 2017 19:00:16 -0200
