=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=10),
+               freeglut3-dev,
                libasound2-dev,
+               libgl1-mesa-dev,
                libqt5opengl5-dev,
+               mesa-common-dev,
                qt5-qmake,
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 3.9.8
-Homepage: http://bcz.asterope.fr/osmose.htm
+Standards-Version: 4.1.1
+Homepage: https://github.com/coringao/osmose-emulator/wiki
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git
