=== debian/tests/control ===
# Control file for Debian 'autopkgtests'.
Test-Command: /bin/true
Depends: @
