## osmose-emulator 1.4

=== debian/changelog ===
osmose-emulator (1.4-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:22 +0100

osmose-emulator (1.4-2) unstable; urgency=medium

  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/control:
    + Bumped Standards-Version to 4.4.0.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 22 Jul 2019 02:44:34 -0300

osmose-emulator (1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #868499)
  * Switch to compat level 12
  * debian/control:
    + Bump debhelper compat to 12
    + Declare compliance with Debian Policy 4.3.0

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 06 Jan 2019 02:51:37 -0200

osmose-emulator (1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Declare compliance with Debian Policy: 4.2.1
  * Removed debian/osmose-emulator.6
  * debian/manpage:
    + Changed the file path 'osmose-emulator.6'
  * Removed autopkgtest considered an unjustified advantage
  * Removed the tarball 'xz' option from the d/watch file
  * Changed to the author's present year in d/copyright and d/upstream/metadata

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 15 Oct 2018 01:15:13 -0300

osmose-emulator (1.2-2) unstable; urgency=medium

  * Switch to compat level 11
  * debian/control:
    + Bump debhelper compat to 11
    + Declare compliance with Debian Policy: 4.1.4
    + Changed homepage URL to GitLab
    + Move Vcs URLs to salsa.d.g
  * debian/copyright:
    + Update source URL move to GitLab
    + Year updated on 'Files: debian/*'
  * Updated d/upstream/metadata URLs move to GitLab
  * Updated d/watch file upstream move to GitLab

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 12 Jun 2018 16:50:11 -0300
