=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 12),
                freeglut3-dev,
                libasound2-dev,
                libgl1-mesa-dev,
@@ -13,10 +13,10 @@
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: https://github.com/coringao/osmose-emulator/wiki
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git
+Standards-Version: 4.4.0
+Homepage: https://gitlab.com/coringao/osmose-emulator/wikis
+Vcs-Git: https://salsa.debian.org/games-team/osmose-emulator.git
+Vcs-Browser: https://salsa.debian.org/games-team/osmose-emulator
 
 Package: osmose-emulator
 Architecture: any
