## osmose-emulator 1.6

=== debian/changelog ===
osmose-emulator (1.6-1) unstable; urgency=medium

  * New upstream release:
    + Implements toggleMenu feature. (Thanks Leandro Ramos)
  * debian/control:
    + Switch to debhelper-compat = 13.
    + Declare compliance with Debian Policy 4.5.0.
    + Set Rules-Requires-Root to no.
  * debian/copyright:
    + Copyright information organized for contacts.
    + Copyright updated for current years (2020).
  * debian/install:
    - Changed the directory path of "osmose-emulator.desktop" file.
  * debian/osmose-emulator.desktop removed.
  * Update debian/upstream/metadata years (2020).
  * debian/rules:
    - Removed DEB_LDFLAGS_MAINT_APPEND. Fixed upstream.
  * Added autopkgtest.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 09 Aug 2020 18:02:28 -0300
