=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                freeglut3-dev,
                libasound2-dev,
                libgl1-mesa-dev,
@@ -13,7 +13,8 @@
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/coringao/osmose-emulator/wikis
 Vcs-Git: https://salsa.debian.org/games-team/osmose-emulator.git
 Vcs-Browser: https://salsa.debian.org/games-team/osmose-emulator
