=== debian/tests/control ===
Test-Command: osmose-emulator &
Depends: @
Restrictions: allow-stderr
