=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/osmose-emulator/tags \
  .*/osmose-emulator-(\d\S+)\.(?:tar\.(?:gz|bz2))
